package com.ruoyi.system.domain.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * App端添加患者入参实体
 *
 * @author gongzhenkun
 * @date 2022/8/9 14:32
 */
@ApiModel(value = "AppPatientReq", description = "App端添加患者入参实体")
public class AppPatientReq {
    /**
     * 医生id
     */
    @ApiModelProperty("doctorId")
    private Long doctorId;

    /**
     * 医院Id
     */
    @ApiModelProperty("hospitalId")
    private Long hospitalId;

    /**
     * ID
     */
    @ApiModelProperty("patientId")
    private Long id;

    /**
     * 腾讯openid
     */
    @ApiModelProperty("腾讯openid")
    private String openId;

    /**
     * 编号
     */
    @ApiModelProperty("编号")
    private String identifier;

    /**
     * 名称
     */
    @ApiModelProperty("名称")
    private String name;

    /**
     * 电话
     */
    @ApiModelProperty("电话")
    private String phone;

    /**
     * 用户性别（0男 1女 2未知）
     */
    @ApiModelProperty("用户性别: 0=男,1=女,2=未知")
    private String sex;

    /**
     * 年龄
     */
    @ApiModelProperty("年龄")
    private Integer age;

    /**
     * 身高
     */
    @ApiModelProperty("身高")
    private Integer height;

    /**
     * 体重
     */
    @ApiModelProperty("体重")
    private Integer weight;

    /**
     * 婚姻状态（0未婚 1已婚 2未知）
     */
    @ApiModelProperty("婚姻状态: 0=未婚,1=已婚,2=未知")
    private String marriage;

    /**
     * 基础疾病
     */
    @ApiModelProperty("基础疾病")
    private String disease;

    public Long getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(Long doctorId) {
        this.doctorId = doctorId;
    }

    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getIdentifier() {
        return identifier;
    }

    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public Integer getHeight() {
        return height;
    }

    public void setHeight(Integer height) {
        this.height = height;
    }

    public Integer getWeight() {
        return weight;
    }

    public void setWeight(Integer weight) {
        this.weight = weight;
    }

    public String getMarriage() {
        return marriage;
    }

    public void setMarriage(String marriage) {
        this.marriage = marriage;
    }

    public String getDisease() {
        return disease;
    }

    public void setDisease(String disease) {
        this.disease = disease;
    }
}
