package com.ruoyi.system.domain.req;

import com.ruoyi.common.utils.Phone;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import java.io.Serializable;

public class LoginForMpReq implements Serializable {
    private static final long serialVersionUID = -5482485655738769622L;

    @NotBlank
    private String openId;

    @NotBlank
    @Length(max = 10)
    private String name;

    @NotBlank
    @Phone
    private String phone;

    @NotBlank
    private String sex;

    @Max(100)
    @Min(1)
    private Integer age;

    @Max(300)
    private Integer height;

    @Max(500)
    private Integer weight;

    private String marriage;

    @Length(max = 30)
    private String disease;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public Integer getHeight() {
        return height;
    }

    public void setHeight(Integer height) {
        this.height = height;
    }

    public Integer getWeight() {
        return weight;
    }

    public void setWeight(Integer weight) {
        this.weight = weight;
    }

    public String getMarriage() {
        return marriage;
    }

    public void setMarriage(String marriage) {
        this.marriage = marriage;
    }

    public String getDisease() {
        return disease;
    }

    public void setDisease(String disease) {
        this.disease = disease;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }
}
