package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TImage;

/**
 * 图片Service接口
 * 
 * @author ruoyi
 * @date 2022-08-15
 */
public interface ITImageService 
{
    /**
     * 查询图片
     * 
     * @param id 图片主键
     * @return 图片
     */
    public TImage selectTImageById(Long id);

    /**
     * 查询图片列表
     * 
     * @param tImage 图片
     * @return 图片集合
     */
    public List<TImage> selectTImageList(TImage tImage);

    /**
     * 新增图片
     * 
     * @param tImage 图片
     * @return 结果
     */
    public int insertTImage(TImage tImage);

    /**
     * 修改图片
     * 
     * @param tImage 图片
     * @return 结果
     */
    public int updateTImage(TImage tImage);

    /**
     * 批量删除图片
     * 
     * @param ids 需要删除的图片主键集合
     * @return 结果
     */
    public int deleteTImageByIds(Long[] ids);

    /**
     * 删除图片信息
     * 
     * @param id 图片主键
     * @return 结果
     */
    public int deleteTImageById(Long id);
}
